Name:          lrzip
Version:       0.651
Release:       1mamba
Summary:       A compression program optimised for large files
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ckolivas/lrzip
Source:        https://github.com/ckolivas/lrzip.git/v%{version}/lrzip-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbzip2-devel
BuildRequires: libgcc
BuildRequires: liblz4-devel
BuildRequires: liblzo-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
#Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     lib%{name} < 0.651
Obsoletes:     lib%{name}-devel < 0.651

%description
lrzip is a compression program optimised for large files. The larger the file and the more memory you have, the better the compression advantage this will provide, especially once the files are larger than 100MB. The advantage can be chosen to be either size (much smaller than bzip2) or speed (much faster than bzip2).

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
./autogen.sh NOCONFIGURE=1

%build
%configure \
%ifarch arm aarch64
   --disable-asm
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/lrunzip
%{_bindir}/lrz*
%{_mandir}/man1/lrz*.1*
%{_mandir}/man1/lrunzip.1*
%{_mandir}/man5/lrz*.5*
%dir %{_docdir}/lrzip
%{_docdir}/lrzip/*
%doc AUTHORS COPYING

#%files -n lib%{name}
#%defattr(-,root,root)
#%{_libdir}/liblrzip.so.*

#%files -n lib%{name}-devel
#%defattr(-,root,root)
#%{_includedir}/Lrzip.h
#%{_libdir}/liblrzip.a
#%{_libdir}/liblrzip.la
#%{_libdir}/liblrzip.so
#%{_libdir}/pkgconfig/lrzip.pc

%changelog
* Wed Mar 16 2022 Automatic Build System <autodist@mambasoft.it> 0.651-1mamba
- automatic version update by autodist

* Mon Mar 08 2021 Automatic Build System <autodist@mambasoft.it> 0.641-1mamba
- automatic version update by autodist

* Sat Feb 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.640-1mamba
- update to 0.640

* Tue Nov 08 2016 Automatic Build System <autodist@mambasoft.it> 0.631-1mamba
- automatic version update by autodist

* Sat Jun 18 2016 Automatic Build System <autodist@mambasoft.it> 0.630-1mamba
- automatic version update by autodist

* Sat Mar 21 2015 Automatic Build System <autodist@mambasoft.it> 0.621-1mamba
- automatic version update by autodist

* Mon Mar 09 2015 Automatic Build System <autodist@mambasoft.it> 0.620-1mamba
- automatic version update by autodist

* Mon Sep 09 2013 Automatic Build System <autodist@mambasoft.it> 0.616-1mamba
- automatic version update by autodist

* Mon Sep 02 2013 Automatic Build System <autodist@mambasoft.it> 0.615-1mamba
- automatic version update by autodist

* Fri Oct 12 2012 openmamba WebBuild System <webbuild@openmamba.org> 0.614-1mamba
- package created by autospec
